### Virtual Method

# Ide ApplicationAddin load

#### Declaration

    void
    load (
      IdeApplicationAddin* self,
      IdeApplication* application
    )

#### Description

This interface method is called when the application is started or the plugin has just been activated.

Use this to setup code in your plugin that needs to be loaded once per application process.

Available since: | 3.32

#### Parameters

`application` | `IdeApplication`
| An `IdeApplication`.
| The data is owned by the caller of the function.